#include <avr/io.h>
#include "hd44780.h"

uint16_t ReadADC(uint8_t __channel)
{
   ADMUX |= __channel;                // Channel selection
   ADCSRA |= _BV(ADSC);               // Start conversion
   while(!bit_is_set(ADCSRA,ADIF));   // Loop until conversion is complete
   ADCSRA |= _BV(ADIF);               // Clear ADIF by writing a 1 (this sets the value to 0)

   return(ADC);
}

void adc_init()
{
	ADCSRA = _BV(ADEN) | _BV(ADPS2) | _BV(ADPS1) | _BV(ADPS0); //Enable ADC and set 128 prescale
}

int main (void)
{
    lcd_init();
	adc_init();

	while (1)
	{
		char buffer[16];
		sprintf(buffer,"%d   ", ReadADC(0));
		lcd_goto(0);
		lcd_puts(buffer);
	}

	return(0);
}
